
%global PREFIX /usr/
%global BINDIR %{PREFIX}/bin
%global DOMAIN github.com
%global ORG kata-containers
%global PROJECT proxy
%global IMPORTNAME %{DOMAIN}/%{ORG}/%{PROJECT}

%if 0%{?suse_version}
%define LIBEXECDIR %{_libdir}
%else
%define LIBEXECDIR %{_libexecdir}
%endif

%undefine _missing_build_ids_terminate_build
Name:          kata-proxy
Version:       1.11.5
Release:       1%{?dist}
#   0.20201111.git45236b0
Vendor:        Oracle America
Summary:       Host-side communication with Kata containers
Group:         Development/Tools
License:       Apache-2.0

Source0:       %{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig(systemd)
BuildRequires: git
BuildRequires: golang >= 1.13.15

%description
This component of Kata containers implements host-side communication (I/O streams) with processes within containers through virtio serial interface exported by QEMU.

%global debug_package %{nil}
%define _unpackaged_files_terminate_build 0

%prep
%setup -q

%build
export GOPATH=$HOME/rpmbuild/BUILD/go/

mkdir -p $HOME/rpmbuild/BUILD/go/src/%{DOMAIN}/%{ORG}
ln -s %{_builddir}/%{name}-%{version} $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
cd $HOME/rpmbuild/BUILD/go/src/%{IMPORTNAME}
make

%clean
rm -rf %{buildroot}

%install
make install \
	DESTDIR=%{buildroot}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
%{LIBEXECDIR}/kata-containers
%{LIBEXECDIR}/kata-containers/kata-proxy

%changelog
* Sat Nov 14 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.11.5-1
- Added Oracle Specific Build Files for kata-proxy
